package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.Institution;

public class InstitutionImData implements BaseImData<InstitutionImData, Institution> {

    @ExcelProperty("序号")
    private Long id;

    @ExcelProperty("所属区")
    private String affiliation;

    @ExcelProperty("所属地")
    private String location;

    @ExcelProperty("机构中文名")
    private String chineseName;

    @ExcelProperty("机构英文名")
    private String englishName;

    @ExcelProperty("机构访问地址")
    private String link;

    @ExcelProperty("机构介绍")
    private String introduce;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelIgnore
    DataConverter<InstitutionImData, Institution> converter = new DataConverter<InstitutionImData, Institution>() {
        @Override
        protected Institution convert(InstitutionImData institutionImData) {
            Institution institution = new Institution();
            institution.setId(institutionImData.getId());
            institution.setChineseName(institutionImData.getChineseName());
            institution.setEnglishName(institutionImData.getEnglishName());
            institution.setLink(institutionImData.getLink());
            institution.setIntroduce(institutionImData.getIntroduce());
            institution.setAffiliation(institutionImData.getAffiliation());
            institution.setLocation(institutionImData.getLocation());
            institution.setSort(institutionImData.getSort());
            return institution;
        }
    };

    @Override
    public DataConverter<InstitutionImData, Institution> getConverter() {
        return converter;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAffiliation() {
        return affiliation;
    }

    public void setAffiliation(String affiliation) {
        this.affiliation = affiliation;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getIntroduce() {
        return introduce;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
