package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Literature;
import org.apache.ibatis.annotations.Mapper;


/**
 * 博雅集东南亚重要参考文献汇编Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-26
 */
@Mapper
public interface LiteratureMapper {

    /**
     * 查询博雅集东南亚重要参考文献汇编
     *
     * @param id 博雅集东南亚重要参考文献汇编主键
     * @return 博雅集东南亚重要参考文献汇编
     */
    Literature selectLiteratureById(Long id);

    /**
     * 根据标题查询博雅集东南亚重要参考文献汇编
     *
     * @param titleAsLong 博雅集东南亚重要参考文献汇编标题
     * @return 博雅集东南亚重要参考文献汇编
     */
    Literature selectLiteratureByTitle(String titleAsLong);

    /**
     * 查询博雅集东南亚重要参考文献汇编列表
     *
     * @param literature 博雅集东南亚重要参考文献汇编
     * @return 博雅集东南亚重要参考文献汇编集合
     */
    List<Literature> selectLiteratureList(Literature literature);

    /**
     * 新增博雅集东南亚重要参考文献汇编
     *
     * @param literature 博雅集东南亚重要参考文献汇编
     * @return 结果
     */
    int insertLiterature(Literature literature);

    /**
     * 导入博雅集东南亚重要参考文献汇编数据
     *
     * @param literatureList 博雅集东南亚重要参考文献汇编数据列表
     * @return 结果
     */
    int insertLiteratureDataList(List<Literature> literatureList);

    /**
     * 修改博雅集东南亚重要参考文献汇编
     *
     * @param literature 博雅集东南亚重要参考文献汇编
     * @return 结果
     */
    int updateLiterature(Literature literature);

    /**
     * 删除博雅集东南亚重要参考文献汇编
     *
     * @param id 博雅集东南亚重要参考文献汇编主键
     * @return 结果
     */
    int deleteLiteratureById(Long id);

    /**
     * 批量删除博雅集东南亚重要参考文献汇编
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiteratureByIds(Long[] ids);

}
