package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.NoteNationData;
import com.ruoyi.project.VRdemo.domain.NoticeData;
import com.ruoyi.project.VRdemo.domain.vo.NoticeDataVo;

import java.util.List;

public interface NoticeDataMapper {
    /**
     * 查询notice
     *
     * @param id notice主键
     * @return notice
     */
    public NoticeData selectNoticeDataById(Long id);

    /**
     * 查询notice列表
     *
     * @param noticeData notice
     * @return notice集合
     */
    public List<NoticeData> selectNoticeDataList(NoticeData noticeData);

    /**
     * 新增notice
     *
     * @param noticeData notice
     * @return 结果
     */
    public int insertNoticeData(NoticeData noticeData);

    /**
     * 修改notice
     *
     * @param noticeData notice
     * @return 结果
     */
    public int updateNoticeData(NoticeData noticeData);
    /**
     * 校验用户名称是否唯一
     *
     * @param title 用户名称
     * @return 结果
     */
    public NoticeData checkUserNameUnique(String title);
    /**
     * 删除notice
     *
     * @param id notice主键
     * @return 结果
     */
    public int deleteNoticeDataById(Long id);

    /**
     * 批量删除notice
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNoticeDataByIds(Long[] ids);

    public List<NoticeData> selectNoticeDataListVo(NoticeDataVo noticeDataVo);
}
