package com.ruoyi.project.VRdemo.service;

import java.util.HashMap;
import java.util.List;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.VRdemo.domain.Economy;

/**
 * 东南亚经济统计Service接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface IEconomyService {

    /**
     * 查询东南亚经济统计
     *
     * @param id 东南亚经济统计主键
     * @return 东南亚经济统计
     */
    Economy selectEconomyById(Long id);

    /**
     * 查询东南亚经济统计列表
     *
     * @param economy 东南亚经济统计
     * @return 东南亚经济统计集合
     */
    List<Economy> selectEconomyList(Economy economy);

    /**
     * 查询东南亚经济统计列表
     *
     * @param economy 东南亚经济统计
     * @return 东南亚经济统计集合
     */
    AjaxResult selectEconomyListByMenu(Economy economy);

    /**
     * 新增东南亚经济统计
     *
     * @param economy 东南亚经济统计
     * @return 结果
     */
    int insertEconomy(Economy economy);

    /**
     * 导入数据
     *
     * @param dataList      导入数据列表
     * @param updateSupport 是否更新已经存在的数据
     * @return 结果
     */
    String importData(List<Economy> dataList, boolean updateSupport);

    /**
     * 修改东南亚经济统计
     *
     * @param economy 东南亚经济统计
     * @return 结果
     */
    int updateEconomy(Economy economy);

    /**
     * 批量删除东南亚经济统计
     *
     * @param ids 需要删除的东南亚经济统计主键集合
     * @return 结果
     */
    int deleteEconomyByIds(Long[] ids);

    /**
     * 删除东南亚经济统计信息
     *
     * @param id 东南亚经济统计主键
     * @return 结果
     */
    int deleteEconomyById(Long id);

}
