package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.SpecialCollection;

/**
 * 东南亚大型特藏Service接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface ISpecialCollectionService {

    /**
     * 查询东南亚大型特藏
     *
     * @param id 东南亚大型特藏主键
     * @return 东南亚大型特藏
     */
    SpecialCollection selectCollectionById(Long id);

    /**
     * 查询东南亚大型特藏列表
     *
     * @param specialCollection 东南亚大型特藏
     * @return 东南亚大型特藏集合
     */
    List<SpecialCollection> selectCollectionList(SpecialCollection specialCollection);

    /**
     * 新增东南亚大型特藏
     *
     * @param specialCollection 东南亚大型特藏
     * @return 结果
     */
    int insertCollection(SpecialCollection specialCollection);

    /**
     * 导入数据
     *
     * @param dataList      导入数据列表
     * @param updateSupport 是否更新已经存在的数据
     * @return 结果
     */
    String importData(List<SpecialCollection> dataList, boolean updateSupport);

    /**
     * 修改东南亚大型特藏
     *
     * @param specialCollection 东南亚大型特藏
     * @return 结果
     */
    int updateCollection(SpecialCollection specialCollection);

    /**
     * 批量删除东南亚大型特藏
     *
     * @param ids 需要删除的东南亚大型特藏主键集合
     * @return 结果
     */
    int deleteCollectionByIds(Long[] ids);

    /**
     * 删除东南亚大型特藏信息
     *
     * @param id 东南亚大型特藏主键
     * @return 结果
     */
    int deleteCollectionById(Long id);

}
